/**
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include "libxml.h"
#include <libxml/relaxng.h>
#include <libxml/xmlerror.h>
#include <libxml/valid.h>
#include <libxml/xmlschemas.h>
#include <libxml/xmlschemastypes.h>
#include <string.h>

static char *xmlPosixStrdup(const char *cur) {
  return ((char *)xmlCharStrdup(cur));
}

int main(int argc, char **argv) {
  if (argc != 2) {
    return EXIT_FAILURE;
  }
  xmlGetWarningsDefaultValue = 0;
  xmlPedanticParserDefault(0);
  xmlGcMemSetup(free, malloc, malloc, realloc, xmlPosixStrdup);
  xmlInitParser();
  xmlSchemaInitTypes();
  xmlRelaxNGInitTypes();
  xmlReadFile(argv[1], NULL, XML_PARSE_OLD10);
  return EXIT_SUCCESS;
}
